Browse Source

Logging changes to log errors properly.

modified:   release.sh
main
Sorin Sbarnea 11 years ago
parent
commit
9273e138c3
1 changed files with 5 additions and 4 deletions
  1. +5
    -4
      release.sh

+ 5
- 4
release.sh View File

@@ -16,7 +16,7 @@ git pull -u

python setup.py check --restructuredtext --strict

autopep8 -i *.py
autopep8 -i -r src/*.py

# commented some errors temporarly, TODO: remove them and fix the code
pep8 --max-line-length=180 --ignore=E502,E128,E123,E127,E125 src
@@ -24,15 +24,16 @@ pep8 --max-line-length=180 --ignore=E502,E128,E123,E127,E125 src
# Disallow unstaged changes in the working tree
if ! git diff-files --quiet --ignore-submodules --
then
echo >&2 "cannot $1: you have unstaged changes."
git diff-files --name-status -r --ignore-submodules -- >&2
echo >&2 "error: you have unstaged changes."
git diff
git diff-files --color=auto --ignore-submodules -- >&2
exit 1
fi

# Disallow uncommitted changes in the index
if ! git diff-index --cached --quiet HEAD --ignore-submodules --
then
echo >&2 "cannot $1: your index contains uncommitted changes."
echo >&2 "error: your index contains uncommitted changes."
git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2
exit 1
fi


Loading…
Cancel
Save